ros-iron-rosidl-typesupport-cpp (3.0.1-1jammy) jammy; urgency=high

  * Don't override user provided compile definitions (#146 <https://github.com/ros2/rosidl_typesupport/issues/146>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (3.0.0-1jammy) jammy; urgency=high

  * Type Description Nested Support (#141 <https://github.com/ros2/rosidl_typesupport/issues/141>)
  * Fix rosidl_typesupport_c/cpp exec dependencies. (#140 <https://github.com/ros2/rosidl_typesupport/issues/140>)
  * Type hashes in typesupport (rep2011) (#135 <https://github.com/ros2/rosidl_typesupport/issues/135>)
  * Mark benchmark _ as UNUSED. (#134 <https://github.com/ros2/rosidl_typesupport/issues/134>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (2.3.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (2.3.0-1jammy) jammy; urgency=high

  * Service introspection (#127 <https://github.com/ros2/rosidl_typesupport/issues/127>)
  * Update rosidl_typesupport to C++17. (#131 <https://github.com/ros2/rosidl_typesupport/issues/131>)
  * [rolling] Update maintainers - 2022-11-07 (#130 <https://github.com/ros2/rosidl_typesupport/issues/130>)
  * Contributors: Audrow Nash, Brian, Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (2.2.0-1jammy) jammy; urgency=high

  * Replace rosidl_cmake imports with rosidl_pycommon (#126 <https://github.com/ros2/rosidl_typesupport/issues/126>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (2.1.0-1jammy) jammy; urgency=high

  * Use target_link_libraries(... PRIVATE ...) in single typesupport case (#124 <https://github.com/ros2/rosidl_typesupport/issues/124>)
  * rosidl CMake cleanup in rosidl_typesupport_cpp (#123 <https://github.com/ros2/rosidl_typesupport/issues/123>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.5.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#121 <https://github.com/ros2/rosidl_typesupport/issues/121>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.4.2-1jammy) jammy; urgency=high

  * Make sure to check typesupport handles against nullptr properly (#119 <https://github.com/ros2/rosidl_typesupport/issues/119>)
  * Use FindPython3 (#118 <https://github.com/ros2/rosidl_typesupport/issues/118>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.4.1-1jammy) jammy; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#116 <https://github.com/ros2/rosidl_typesupport/issues/116>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 08 Aug 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.4.0-1jammy) jammy; urgency=high

  * Support available typesupport specification in CLI extensions (#112 <https://github.com/ros2/rosidl_typesupport/issues/112>)
  * Bundle and ensure the exportation of rosidl generated targets (#113 <https://github.com/ros2/rosidl_typesupport/issues/113>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 15 Jul 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.3.0-1jammy) jammy; urgency=high

  * Fix C and C++ typesupports CLI extensions (#111 <https://github.com/ros2/rosidl_typesupport/issues/111>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.2.1-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#108 <https://github.com/ros2/rosidl_typesupport/issues/108>)
  * Contributors: shonigmann

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.2.0-1jammy) jammy; urgency=high

  * Remove dependencies from Connext type support (#106 <https://github.com/ros2/rosidl_typesupport/issues/106>)
  * Contributors: Andrea Sorbini

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.1.2-1jammy) jammy; urgency=high

  * Expose C++ typesupport generation via rosidl generate CLI (#104 <https://github.com/ros2/rosidl_typesupport/issues/104>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.1.1-1jammy) jammy; urgency=high

  * Remove type_support_dispatch.cpp files. (#101 <https://github.com/ros2/rosidl_typesupport/issues/101>)
  * Defer path resolution of rosidl typesupport libraries to dynamic linker. (#98 <https://github.com/ros2/rosidl_typesupport/issues/98>)
  * Ensure typesupport handle functions do not throw. (#99 <https://github.com/ros2/rosidl_typesupport/issues/99>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.1.0-1jammy) jammy; urgency=high

  * Explicitly check lib pointer for null (#95 <https://github.com/ros2/rosidl_typesupport/issues/95>)
  * Update Quality Declaration to QL 1 (#96 <https://github.com/ros2/rosidl_typesupport/issues/96>)
  * Update the maintainers (#89 <https://github.com/ros2/rosidl_typesupport/issues/89>)
  * Added benchmark test to rosidl_typesupport_c/cpp (#84 <https://github.com/ros2/rosidl_typesupport/issues/84>)
  * Handle rcpputils::find_library_path() failure (#85 <https://github.com/ros2/rosidl_typesupport/issues/85>)
  * De-duplicate type_support_map.h header (#81 <https://github.com/ros2/rosidl_typesupport/issues/81>)
  * Add fault injection macros and unit tests (#80 <https://github.com/ros2/rosidl_typesupport/issues/80>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#76 <https://github.com/ros2/rosidl_typesupport/issues/76>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jose Luis Rivero, Louise Poubel, Michel Hidalgo, Stephen Brawner

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (1.0.0-1jammy) jammy; urgency=high

  * Addresses test failures in release mode (#75 <https://github.com/ros2/rosidl_typesupport/issues/75>)
  * Add tests for type_support functions (#63 <https://github.com/ros2/rosidl_typesupport/issues/63>)
  * Contributors: Stephen Brawner

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.9.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 18 May 2020 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.9.1-1jammy) jammy; urgency=high

  * Force extension points to be registered in order (#73 <https://github.com/ros2/rosidl_typesupport/issues/73>)
  * Update API documentation and QDs (#74 <https://github.com/ros2/rosidl_typesupport/issues/74>)
  * Complete feature documentation (#72 <https://github.com/ros2/rosidl_typesupport/issues/72>)
  * Add API documentation for public functions (#64 <https://github.com/ros2/rosidl_typesupport/issues/64>)
  * Add current quality level declarations (#67 <https://github.com/ros2/rosidl_typesupport/issues/67>)
  * Contributors: Ivan Santiago Paunovic, brawner

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 18 May 2020 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.9.0-1jammy) jammy; urgency=high

  * Fix single typesupport build exposing build directory in include dirs (#71 <https://github.com/ros2/rosidl_typesupport/issues/71>)
  * Export targets in addition to include directories / libraries (#69 <https://github.com/ros2/rosidl_typesupport/issues/69> #70 <https://github.com/ros2/rosidl_typesupport/issues/70>)
  * Fix build with single introspection typesupport (#68 <https://github.com/ros2/rosidl_typesupport/issues/68>)
  * Update includes to use non-entry point headers from detail subdirectory (#66 <https://github.com/ros2/rosidl_typesupport/issues/66>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#65 <https://github.com/ros2/rosidl_typesupport/issues/65>)
  * Remove dependency on rmw_implementation (#62 <https://github.com/ros2/rosidl_typesupport/issues/62>)
  * Added rosidl_runtime c depencency (#58 <https://github.com/ros2/rosidl_typesupport/issues/58>)
  * Removed poco dependency (#59 <https://github.com/ros2/rosidl_typesupport/issues/59>)
  * Remove OpenSplice dependencies (#56 <https://github.com/ros2/rosidl_typesupport/issues/56>)
  * Depend on rcpputils for find_library (#47 <https://github.com/ros2/rosidl_typesupport/issues/47>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Eric Cousineau, Jacob Perron, Sean Kelly

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.8.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.7.1-1jammy) jammy; urgency=high

  * update code to match refactoring of rosidl definitions (#49 <https://github.com/ros2/rosidl_typesupport/issues/49>)
  * remove usage of UnknownMessageType (#48 <https://github.com/ros2/rosidl_typesupport/issues/48>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.7.0-1jammy) jammy; urgency=high

  * Using ament_target_dependencies where possible (#46 <https://github.com/ros2/rosidl_typesupport/issues/46>)
  * change generators to IDL-based pipeline (#39 <https://github.com/ros2/rosidl_typesupport/issues/39>)
  * Don't validate overall actions (#44 <https://github.com/ros2/rosidl_typesupport/issues/44>)
  * Contributors: Dirk Thomas, Shane Loretz, ivanpauno

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.6.2-1jammy) jammy; urgency=high

  * include available typesuppports in error message (#43 <https://github.com/ros2/rosidl_typesupport/issues/43>)
  * Change uncrustify max line length to 0 (#42 <https://github.com/ros2/rosidl_typesupport/issues/42>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jan 2019 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.6.1-1jammy) jammy; urgency=high

  * Merge pull request #41 <https://github.com/ros2/rosidl_typesupport/issues/41> from ros2/hidmic/trim-action-targets-names
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 06 Dec 2018 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.6.0-1jammy) jammy; urgency=high

  * Add typesupport for actions in c and c++ (#36 <https://github.com/ros2/rosidl_typesupport/issues/36>)
  * Allow generated IDL files (#35 <https://github.com/ros2/rosidl_typesupport/issues/35>)
  * Merge pull request #33 <https://github.com/ros2/rosidl_typesupport/issues/33> from ros2/hidmic/prepare_for_action_generation
  * Removes remaininig srv folder assumptions.
  * Makes rosidl interfaces generation action folder aware.
  * expose symbol for cpp typesupport (#32 <https://github.com/ros2/rosidl_typesupport/issues/32>)
  * update manifest to adhere to tag order in schema (#30 <https://github.com/ros2/rosidl_typesupport/issues/30>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Karsten Knese, Michel Hidalgo, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 15 Nov 2018 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.5.0-1jammy) jammy; urgency=high

  * Prepare dependencies for bouncy release. (#27 <https://github.com/ros2/rosidl_typesupport/issues/27>)
  * add and use groups for generator and runtime packages (#25 <https://github.com/ros2/rosidl_typesupport/issues/25>)
  * Merge pull request #23 <https://github.com/ros2/rosidl_typesupport/issues/23> from ros2/misra_fixup
  * Merge pull request #22 <https://github.com/ros2/rosidl_typesupport/issues/22> from ros2/use_typesupport_group
  * use CMAKE_CURRENT_BINARY_DIR for arguments json (#21 <https://github.com/ros2/rosidl_typesupport/issues/21>)
  * use ament_cmake_ros (#19 <https://github.com/ros2/rosidl_typesupport/issues/19>)
  * Contributors: Dirk Thomas, Michael Carroll, Steven! Ragnarök

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 23 Jun 2018 16:00:00 -0000

ros-iron-rosidl-typesupport-cpp (0.4.0-1jammy) jammy; urgency=high

  * update service type support header name (#15 <https://github.com/ros2/rosidl_typesupport/issues/15>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Morgan Quigley, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000


